% This Matlab function is called by MT3D_Viewer to add control buttons on the plots of the data and results of the 3D MT 
% inversion (e.g. input data and model responses).
% M. Gharibi  Quantec Geoscience Ltd.
% Sep. 2009


function [in]=MT3D_CallBacks(in);

if ~isempty(in), 

Prev_handle = uicontrol(in{1}.fig1,'Style','pushbutton','String','Previous Site',...
        'FontSize',10,'FontWeight','bold','FontUnits','Normalized','BackgroundColor',...
        [0 1 1],'Position',[in{1}.scrsz(3)/10 in{1}.scrsz(4)/2.25 in{1}.scrsz(3)/12 in{1}.scrsz(4)/20],...
        'TooltipString','Show Previous Site','Callback','in{1}.i=in{1}.i-1; [in]=MT3D_PlotImpedance(in);');

Next_handle = uicontrol(in{1}.fig1,'Style','pushbutton','String','Next Site',...
        'FontSize',10,'FontWeight','bold','FontUnits','Normalized','BackgroundColor',...
        [0 1 1],'Position',[in{1}.scrsz(3)/5.3 in{1}.scrsz(4)/2.25 in{1}.scrsz(3)/12 in{1}.scrsz(4)/20],...
        'TooltipString','Show Next Site','Callback','in{1}.i=in{1}.i+1; [in]=MT3D_PlotImpedance(in);');
        
Interactive_handle = uicontrol(in{1}.fig1,'Style','pushbutton','String','Interactive Map',...
        'FontSize',10,'FontWeight','bold','FontUnits','Normalized','BackgroundColor',...
        [1 0 1],'Position',[in{1}.scrsz(3)/3.6 in{1}.scrsz(4)/2.25 in{1}.scrsz(3)/12 in{1}.scrsz(4)/20],...
        'TooltipString','Choose Site From Location Map','Callback','in{1}.map=-1; [in]=MT3D_PlotImpedance(in);');
    
if in{1}.imp_SiteName ~= 0,
    Print_handle = uicontrol(in{1}.fig1,'Style','pushbutton','String','Save Figure',...
        'FontSize',10,'FontWeight','bold','FontUnits','Normalized','BackgroundColor',...
        [1 .8 .4],'Position',[in{1}.scrsz(3)/2.73 in{1}.scrsz(4)/2.25 in{1}.scrsz(3)/12 in{1}.scrsz(4)/20],...
        'TooltipString','Save This Figure in TIFF Format','Callback','print(in{1}.fig1,''-dtiff'',''-noui'',''-r300'',num2str(in{1}.SiteName(in{1}.i,5))); msgbox(''Figure Saved in TIFF Format in the Current Directory'');');
else
    Print_handle = uicontrol(in{1}.fig1,'Style','pushbutton','String','Save Figure',...
        'FontSize',10,'FontWeight','bold','FontUnits','Normalized','BackgroundColor',...
        [0 .8 .4],'Position',[in{1}.scrsz(3)/2.73 in{1}.scrsz(4)/2.25 in{1}.scrsz(3)/12 in{1}.scrsz(4)/20],...
        'TooltipString','Save This Figure in TIFF Format','Callback','print(in{1}.fig1,''-dtiff'',''-noui'',''-r300'',num2str(in{1}.i)); msgbox(''Figure Saved in TIFF Format in the Current Directory'');');
end

Close_handle = uicontrol(in{1}.fig1,'Style','pushbutton','String','Close Window',...
        'FontSize',10,'FontWeight','bold','FontUnits','Normalized','BackgroundColor',...
        [1 0 0],'Position',[in{1}.scrsz(3)/2.2 in{1}.scrsz(4)/2.25 in{1}.scrsz(3)/12 in{1}.scrsz(4)/20],...
        'TooltipString','Close This Window','Callback','close(in{1}.fig1); disp(''MT3D Viewer Closed...'');');

end