function [ iCode ] = magickNumber( WS3D , Freq , itype )
%%
%% B.Tournerie  Quantec Geoscience Ltd
%%

%% DATA SPACE
%% 1- Zxx Zxy Zyx Zyy
%% 2- Zxy Zyx
%% 3- Tzx Tzy
%% 4- Zxy Zyx Tzx Tzy
%% 5- Zxx Zxy Zyx Zyy Tzx Tzy
IREF = [ 8 4 4 8 12 ];
N = IREF( itype ) * length( Freq ) * WS3D.NS;

%% MODEL SPACE
M = ( WS3D.Mesh.ne + 10 ) * ( WS3D.Mesh.nn + 10 ) * ( WS3D.Mesh.nz + 5 + 7 );

%% Magic Number (Giga Octet)
magicNM = 1.2 * 8 * N * ( N + M )/1e9;
magicNM = ceil(  magicNM * 100 )/100;


iCode=0;
ctmp = sprintf( '  magicN = %d\n  magicM = %d\n magicNM= %.2f Go', N , M , magicNM );
ctmp = strcat(ctmp,sprintf( '\n\n%s','Is that correct?'));
if isequal(questdlg( ctmp , 'Magic Number', 'Yes' , 'No' , 'Yes'),'Yes'),iCode=1;end
