function [ varargout ] = pack_SRVFile( varargin )
%%
%%
%% B.Tournerie  Quantec Geoscience Ltd
%%
%%
if     nargin == 0
    varargout = { -1 };
    return
else
    nSRV = nargin; cOK=[];
    for iSRV=1:nSRV
        cOK(iSRV) = isstruct( varargin{ iSRV } ) & ...
            isfield( varargin{ iSRV },'xlat') & ...
            isfield( varargin{ iSRV },'xlon') & ...
            isfield( varargin{ iSRV },'utmN') & ...
            isfield( varargin{ iSRV },'utmE') & ...
            isfield( varargin{ iSRV },'elev') ;
    end
    if ~isequal( cOK(:) , ones(nSRV,1) ), varargout = { cOK };return;end
end

output = varargin{ 1 };

for iSRV=2:nSRV
    SRVFtmp     = varargin{ iSRV };
    
    % Append only if a site does not exist
    cpt = 0;
    for ik=1:length( iSRV.xlat )
        NSold = length( output.xlat );
        ctest = [ ...
                isequal( SRVFtmp.xlat(ik) == output.xlat , zeros(NSold,1) ) ...
                isequal( SRVFtmp.xlon(ik) == output.xlon , zeros(NSold,1) ) ];
        
        if  sum(ctest)> 0,
            output.xlat  = [ output.xlat ; WS3Dtmp.xlat(ik) ];
            output.xlon  = [ output.xlon ; WS3Dtmp.xlon(ik) ];
            output.utmN =  [ output.utmN ; WS3Dtmp.utmN(ik) ];
            output.utmE =  [ output.utmE ; WS3Dtmp.utmE(ik) ];
            output.elev =  [ output.utmE ; WS3Dtmp.elev(ik) ];
        end
    end
end

%% OUTPUT
lineNo=1;
dlgTitle='Edit Info block:';
prompt={ 'Grid Name' , 'Line/3D Name' , 'Datum' , 'UTM Zone' };
def = { output.info.Grid , ...
        output.info.Line , ...
        output.info.Datum , ...
        output.info.Uzone };
answer=inputdlg(prompt,dlgTitle,lineNo,def);

output.info.Grid  = char( answer(1) );
output.info.Line  = char( answer(2) );
output.info.Datum = char( answer(3) );
output.info.Uzone = char( answer(4) );

varargout = { output };
