function [ varargout ] = pack_WS3DTBL( varargin )
%%
%%
%% B.Tournerie  Quantec Geoscience Ltd
%%
%% 20090729: addin 'while' on answer/ROOTNAME/ questions
%% 20090913: addin output.elev field

if     nargin == 0
    varargout = { -1 };
    return
else
    nTBL = nargin; cOK=[];
    for iTBL=1:nTBL
        cOK(iTBL) = isstruct( varargin{ iTBL } ) & ...
            isfield( varargin{ iTBL },'lat' ) & ...
            isfield( varargin{ iTBL },'lon' ) & ...
            isfield( varargin{ iTBL },'utmN') & ...
            isfield( varargin{ iTBL },'utmE') & ...
            isfield( varargin{ iTBL },'elev') & ...
            isfield( varargin{ iTBL },'data') ;
    end
    if ~isequal( cOK(:) , ones(nTBL,1) ), varargout = { cOK };return;end
end

output = varargin{ 1 };

for iTBL=2:nTBL
    WS3Dtmp     = varargin{ iTBL };
    
    % Append only if a site does not exist
    cpt = 0;
    for ik=1:length( WS3Dtmp.utmN )
        NSold = length( output.utmN );
        ctest = [ ...
                isequal( WS3Dtmp.utmN(ik) == output.utmN , zeros(NSold,1) ) ...
                isequal( WS3Dtmp.utmE(ik) == output.utmE , zeros(NSold,1) ) ];
        if  sum(ctest)> 0,
            output.lat  =  [ output.lat  ; WS3Dtmp.lat(ik)  ];
            output.lon  =  [ output.lon  ; WS3Dtmp.lon(ik)  ];
            output.utmN =  [ output.utmN ; WS3Dtmp.utmN(ik) ];
            output.utmE =  [ output.utmE ; WS3Dtmp.utmE(ik) ];
            output.elev =  [ output.elev ; WS3Dtmp.elev(ik) ];
            output.sitename =  [ output.sitename ; WS3Dtmp.sitename(ik,:) ];
            id = find( ( WS3Dtmp.data(:,1) == ik ) == 1 );
            data = WS3Dtmp.data(id,:);data(:,1) = NSold+1;
            output.data =  [ output.data ; data ];
        end
    end
end

xf_ref = [];
for ik=1:size( output.data , 1 )
    if  isempty( find( xf_ref == output.data(ik,02) ) )
        xf_ref = [ xf_ref ; output.data(ik,02) ];
    end
end

NF = 0;
NS = length( output.lat );
MAT = [];
for k=1: length( xf_ref )
    ns2 = length( find( output.data(:,2)==xf_ref(k) ) );
    if isequal( NS , ns2 )
        NF = NF + 1;
        ik = find( ( output.data(:,2) == xf_ref(k) ) == 1 );
        MAT( 1+(NF-1)*NS : NF*NS , : ) = output.data( ik , : );
    end
end
xf_ref = MAT(1:NS:end,2);

%% OUTPUT
lineNo=1;
dlgTitle='Input root Name for file (no space)';
prompt={ 'Input root Name for file (no space)' };
def = { 'ws3d' };
answer={};
while  isempty(answer),answer=inputdlg(prompt,dlgTitle,lineNo,def);end
output.froot = char( answer(1) );

output.NS   =  NS;
output.NF   =  NF;
output.Fref =  xf_ref(:);
output.data =  MAT;

varargout = { output };
