%% 
%% Edit this file and run on Matlab
%% 
%%
%% B.Tournerie  Quantec Geoscience Ltd
%%


%% READ DATA
[ WS3DA ] = rd_GeotoolsTBL( 'ws3dtestA.tbl' );
[ WS3DB ] = rd_GeotoolsTBL( 'ws3dtestB.tbl' );

%% PACK DATA
[ WS3D ]  = pack_WS3DTBL( WS3DA , WS3DB );


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Process Data
%%
%% Built Mesh
[ WS3D ] = get_Mesh( WS3D );

eval( [ 'print -dpng ' WS3D.froot '_mesh.png' ] )

%% Check Magick Number
iCode=0;
while ~iCode
    %% GET Frequency
    [ Freqs ] = get_Freq( WS3D );
    %% GET Type of 3D
    [ itype ] = get_Type( WS3D );
    %% compute Magick Number
    [ iCode ] = magickNumber( WS3D , Freqs , itype );
end
run3D.itype  = itype;
run3D.Freqs  = Freqs;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
save WS3D.mat   WS3D
save run3D.mat  run3D
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Save Files
[ iSave ] = saveWS3DMTFiles( WS3D , run3D.Freqs , run3D.itype , 2 );

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

