function [ varargout ] = get_wsinv3d( varargin )
%%
%% B.Tournerie  Quantec Geoscience Ltd
%%

if nargin>0, 
    RUNNP = varargin{1};
else 
    get_wsinv3d( 'mt3d_01' );
    return
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
%% RESULTS.title    : PROJECT TITLE
%% RESULTS.root     : CURRENT DIRECTORY/ STARTING POINT
%% 
%% RESULTS.run.root : DIRECTORY OF RESULTS
%% RESULTS.run.data : SURVEY DATA
%% RESULTS.run.title: TITLE
%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
RESULTS.title='MT 3D';
RESULTS.root =pwd;
switch lower(RUNNP)
 case lower('mt3d_01'),
     RESULTS.run.root = 'mt3dF_01';
     RESULTS.run.data = 'mt3dF';
 otherwise, return
end
RESULTS.run.title= strrep(RESULTS.run.root,'_','\_');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[ ierr ] = script_wsinv3d( RESULTS );


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%









%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
%% RESULTS.title    : PROJECT TITLE
%% RESULTS.root     : CURRENT DIRECTORY/ STARTING POINT
%%
%% 
%% RESULTS.run.root : DIRECTORY OF RESULTS
%% RESULTS.run.data : SURVEY DATA
%% RESULTS.run.title: TITLE
%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
RESULTS.title='Irian Jaya 3D';
RESULTS.root =pwd;
%% 
switch lower(RUNNP)
 case lower('inv3d.a'),
     RESULTS.run.root = 'inv3d.a';
     RESULTS.run.data = 'db3d1';
 otherwise, return
end
RESULTS.run.title= strrep(RESULTS.run.root,'_','\_');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% FWD DATA
if strcmp( questdlg('Show Raw data?', '', 'Yes', 'No', 'No') , 'Yes')
   ROOT   = [ RESULTS.root '\' RESULTS.run.root '\f3d\' RESULTS.run.data ];
   cdata  = [ ROOT '_out.data' ];
   cresp  = [ ROOT '_out_resp.01' ];
   plot_obscal( cdata , cresp )
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% INV3D
ROOT   = [ RESULTS.root '\' RESULTS.run.root '\' RESULTS.run.data ];
Miter = [];
for it=1:99
    iter = it;
    citer  = sprintf('%02d',iter);

    cdata  = [ ROOT '_out.data' ];
    cderr  = [ ROOT '_out.error' ];
    cresp  = [ ROOT '_out_resp.'  citer];
    cmodel = [ ROOT '_out_model.' citer];
    
    rms=[];
    if isfileok(cresp), rms = calcul_rms( cdata , cderr , cresp );end
    if ~isempty(rms), Miter = [ Miter iter rms ];exportWS2UBC( cmodel );else, break;end
    fprintf(' current RMS[%2d]= %f\n',  iter, rms );
end
Miter = reshape( Miter , 2 , length(Miter)/2 )';
hf=figure;plot( Miter(:,1) , Miter(:,2) , 'bo-' );
xlabel(' iter#'); ylabel('rms');
title( RESULTS.run.title );
set(gca, 'ylim' , [ 0  10 ] );
grid on
eval( [ 'print -dpng ' RESULTS.run.root '_rms.png' ] )
%%close(hf);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Kiter = sortrows( Miter , 2 );
fout = strcat( ROOT,'_remesh.bat' );
fid  = fopen( fout ,'w');
if fid < 0, disp(['File ',fout,' not open']);varargout = { -1 }; return;end

citer = Kiter(1,1);
cmesh1 = [ RESULTS.run.data '_out_model_' sprintf('%02d',citer) '_ubc.msh ' ];
cmesh2 = [ RESULTS.run.data '_ubc.msh ' ];
cmodel1= [ RESULTS.run.data '_out_model_' sprintf('%02d',citer) '_ubc.con ' ];
cmodel2= [ RESULTS.run.data '_' sprintf('%02d',citer) '.con' ];
fprintf( fid , '\n%s\n' , [ 'remesh3d.exe ' cmesh1  cmesh2 cmodel1  cmodel2 ] ); 

if ~isequal(Kiter(1,1),Miter(end,1))
    citer = Miter(end,1);
    cmesh1 = [ RESULTS.run.data '_out_model_' sprintf('%02d',citer) '_ubc.msh ' ];
    cmesh2 = [ RESULTS.run.data '_ubc.msh ' ];
    cmodel1= [ RESULTS.run.data '_out_model_' sprintf('%02d',citer) '_ubc.con ' ];
    cmodel2= [ RESULTS.run.data '_' sprintf('%02d',citer) '.con' ];
    fprintf( fid , '\n%s\n' , [ 'remesh3d.exe ' cmesh1  cmesh2 cmodel1  cmodel2 ] );
end
fclose(  fid );
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
